# WindowDesc Struct Reference

High level window description. More...

`#include <window_gui.h>`

## Data Fields

int16 | left
| Prefered x position of left edge of the window,.
int16 | top
| Prefered y position of the top of the window,.
int16 | minimum_width
| Minimal width of the window.
int16 | minimum_height
| Minimal height of the window.
int16 | default_width
| Prefered initial width of the window.
int16 | default_height
| Prefered initial height of the window.
WindowClass | cls
| Class of the window,.
WindowClass | parent_cls
| Class of the parent window,.
uint32 | flags
| Flags,.
const Widget * | widgets
| List of widgets with their position and size for the window.

## Detailed Description

High level window description.

Definition at line 36 of file window_gui.h.

## Field Documentation

int16 WindowDesc::left

Prefered x position of left edge of the window,.

See also:
  WindowDefaultPosition()

Definition at line 37 of file window_gui.h.

Referenced by LocalGetWindowPlacement().

int16 WindowDesc::top

Prefered y position of the top of the window,.

See also:
  WindowDefaultPosition()

Definition at line 38 of file window_gui.h.

Referenced by LocalGetWindowPlacement(), and ShowNewspaper().

WindowClass WindowDesc::cls

Class of the window,.

See also:
  WindowClass

Definition at line 43 of file window_gui.h.

Referenced by AllocateWindowDescFront(), and Window::Window().

WindowClass WindowDesc::parent_cls

Class of the parent window,.

See also:
  WindowClass

Definition at line 44 of file window_gui.h.

Referenced by LocalGetWindowPlacement().

uint32 WindowDesc::flags

Flags,.

See also:
  WindowDefaultFlags

Definition at line 45 of file window_gui.h.

Referenced by Window::Window().

The documentation for this struct was generated from the following file:

- src/window_gui.h